Live on Base with Ewance

See the certificates
API ReferenceReferenceTenants

Update tenant metadata

Partially update tenant-level display metadata. Only fields present in the body are updated.

PATCH
/tenants/me

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token in the Authorization header. Key prefix determines environment: lrn_test_ → Base Sepolia, lrn_live_ → Base mainnet.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://api.learncoin.me/v1/tenants/me" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "name": "string",
  "did": "did:web:learncoin.me#tenant-01HXYZ",
  "plan": "developer",
  "environment": "test",
  "credentials_issued_this_month": 0,
  "credentials_limit_this_month": 0
}
{
  "error": {
    "code": "credential_not_found",
    "message": "string",
    "request_id": "req_01HXYZABCDEF"
  }
}
{
  "error": {
    "code": "credential_not_found",
    "message": "string",
    "request_id": "req_01HXYZABCDEF"
  }
}